Restore dataset to a previous version

Restores the dataset to a previous version state by creating a new version with items copied from the specified version. If the version is already the latest, returns it as-is (no-op).

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
version_refstringRequired>=1 character
Version hash or tag to restore from

Response

Version restored successfully
idstring or nullRead-onlyformat: "uuid"
dataset_idstring or nullRead-onlyformat: "uuid"
version_hashstring or nullRead-only
tagslist of strings or nullRead-only
is_latestboolean or nullRead-only
Indicates whether this is the latest version of the dataset
version_namestring or nullRead-only
Sequential version name formatted as 'v1', 'v2', etc.
items_totalinteger or nullRead-only
Total number of items in this version
items_addedinteger or nullRead-only
Number of items added since last version
items_modifiedinteger or nullRead-only
Number of items modified since last version
items_deletedinteger or nullRead-only
Number of items deleted since last version
change_descriptionstring or nullRead-only
metadatamap from strings to strings or nullRead-only
evaluatorslist of objects or nullRead-only
Default evaluators for items in this version
execution_policyobject or nullRead-only
Default execution policy for items in this version
created_atdatetime or nullRead-only
created_bystring or nullRead-only
last_updated_atdatetime or nullRead-only
last_updated_bystring or nullRead-only

Errors